Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ColorVectorType Class Reference
[Types]

`#include <Types.h>`

Inherits tlp::Type.

Inheritance diagram for tlp::ColorVectorType:

[legend]
Collaboration diagram for tlp::ColorVectorType:

[legend]
List of all members.

## Public Types

- typedef std::vector< Color > RealType

## Static Public Member Functions

- static std::vector< Color > undefinedValue ()
- static std::vector< Color > defaultValue ()
- static std::string toString (const RealType &v)
- static bool fromString (RealType &v, const std::string &s)

## Member Typedef Documentation

typedef std::vector<Color> tlp::ColorVectorType::RealType

Tulip Software by LaBRI Visualization Team 2001 - 2010